<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Permission"
	import="net.sf.basedb.core.PermissionDeniedException"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	if (!ExtensionsControl.get(dc).hasPermission(Permission.WRITE))
	{
		throw new PermissionDeniedException("You are not allowed to manage Open Grid Clusters.");
	}
%>
<base:page type="default" >
<base:head 
	scripts="~list-clusters.js" 
	styles="path.css,table.css,toolbar.css">
<style>
.host-status
{
	width: 24px;
	text-align: center;
}
#hosts div.data > table
{
	border-left: 0;
	border-right: 0;
}
#hosts div.data > table td
{
	padding: 3px;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement title="Open Grid Scheduler clusters" /></p:path>

	<div class="content">
		<tbl:table id="hosts">
			<tbl:columndef 
				id="status"
				title=""
			/>
			<tbl:columndef 
				id="name"
				title="Name"
			/>
			<tbl:columndef 
				id="server"
				title="ID (User@Server)"
			/>
			<tbl:columndef
				id="timeDiff"
				title="Time diff"
			/>
			<tbl:columndef 
				id="ogs"
				title="Open Grid version"
			/>
			<tbl:columndef 
				id="info"
				title="Operating system"
			/>
			<tbl:columndef 
				id="jobAgent"
				title="Job agent"
			/>
			<tbl:toolbar
				subclass="topborder bg-filled-50"
				>
				<tbl:button 
					id="btnReload"
					image="refresh.png" 
					title="Reload configuration" 
					tooltip="Reload Open Grid Scheduler configuration file" 
				/>
			</tbl:toolbar>
			<tbl:data style="border-right: 0; border-left: 0;">
				<tbl:headers>
					<tbl:headerrow id="row-template">
						<tbl:columnheaders />
					</tbl:headerrow>
				</tbl:headers>
				<tbl:rows id="all-rows">					
				</tbl:rows>
			</tbl:data>
		</tbl:table>
	</div>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>